net.corda.node.utilities

## Class StrandLocalTransactionManager.Companion

- net.corda.node.utilities.StrandLocalTransactionManager.Companion

- Enclosing class:
    StrandLocalTransactionManager

      public static class StrandLocalTransactionManager.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jetbrains.exposed.sql.Database` | `getDatabase()`
    `StrandLocalTransactionManager` | `getManager()`
    `rx.subjects.Subject<net.corda.node.utilities.StrandLocalTransactionManager.Boundary,net.corda.node.utilities.StrandLocalTransactionManager.Boundary>` | `getTransactionBoundaries()`
    `java.util.UUID` | `getTransactionId()`
    `void` | `restoreThreadLocalTx(kotlin.Pair<org.jetbrains.exposed.sql.Database,? extends org.jetbrains.exposed.sql.Transaction> context)`
    `void` | `setDatabase(org.jetbrains.exposed.sql.Database value)`
    `kotlin.Pair<org.jetbrains.exposed.sql.Database,org.jetbrains.exposed.sql.Transaction>` | `setThreadLocalTx(org.jetbrains.exposed.sql.Transaction tx)`

- - ### Method Detail

    - #### setThreadLocalTx

          public kotlin.Pair<org.jetbrains.exposed.sql.Database,org.jetbrains.exposed.sql.Transaction> setThreadLocalTx(org.jetbrains.exposed.sql.Transaction tx)

    - #### restoreThreadLocalTx

          public void restoreThreadLocalTx(kotlin.Pair<org.jetbrains.exposed.sql.Database,? extends org.jetbrains.exposed.sql.Transaction> context)

    - #### getDatabase

          public org.jetbrains.exposed.sql.Database getDatabase()

    - #### setDatabase

          public void setDatabase(org.jetbrains.exposed.sql.Database value)

    - #### getTransactionId

          public java.util.UUID getTransactionId()

    - #### getManager

          public StrandLocalTransactionManager getManager()

    - #### getTransactionBoundaries

          public rx.subjects.Subject<net.corda.node.utilities.StrandLocalTransactionManager.Boundary,net.corda.node.utilities.StrandLocalTransactionManager.Boundary> getTransactionBoundaries()